创建待发货/待收货/已完成的备货单
POST
/erp/sc/routing/owms/inbound/createInbound支持创建“待发货/待收货/已完成”状态备货单,请求成功后,对应备货单在列表“待发货/待收货/已完成”状态。
若是已对接API的海外仓,提交到待发货状态为未申报状态。
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/owms/inbound/createInbound | HTTPS | POST | 1 |
请求参数
inbound_order_nostring必填custom_s_widstrings_widinteger必填r_widinteger必填logistics_idinteger必填statusintegerestimated_timestringarrival_timestringshare_idintegerremarkstringfile_idstringoverseas_typeintegerreal_delivery_timestringlogistics_listarray<object>隐藏子属性
logistics_order_nostringlogistics_moneystringlogistics_money_unitstringother_moneystringother_money_unitstringtrack_order_nostringother_money_remarkstringreal_logistics_moneynumberreal_logistics_money_unitstringreal_other_moneynumberreal_other_money_unitstringreal_other_money_remarkstringwool_idintegerproduct_listarray<object>必填隐藏子属性
product_idinteger必填fnskustringtariffsnumbertariffs_currency_unitstringcg_product_gross_weightnumbercg_package_lengthnumbercg_package_widthnumbercg_package_heightnumberstock_numinteger必填receive_numinteger必填oversea_product_codestringsidstringlogistics_list_typeinteger必填head_logistics_listobject必填隐藏子属性
tax_fee_typeinteger必填tracking_listarray<object>必填隐藏子属性
tracking_nostring必填transport_typeinteger必填order_type_codeinteger必填shippersstring必填remarkstring必填estimate_expenses_listobject必填隐藏子属性
chargeable_weightstringpricestring必填price_currencystring必填logistics_feestring必填logistics_fee_currencystring必填remarkstringother_fee_arrarray<object>必填隐藏子属性
fee_type_idstring必填other_amountstring必填other_currencystring必填actual_expenses_listobject必填隐藏子属性
tax_feestring必填tax_fee_currencystring必填chargeable_weightstring必填pricestring必填price_currencystring必填logistics_feestring必填logistics_fee_currencystring必填remarkstringother_fee_arrarray<object>必填隐藏子属性
fee_type_idstring必填other_amountstring必填other_currencystring必填method_idstringcustom_fieldsobject请求示例
{
"inbound_order_no": "20221116161351",
"s_wid": "1",
"r_wid": "3835",
"status": 60,
"estimated_time": "2022-05-11",
"arrival_time": "2022-05-13",
"share_id": "0",
"remark": "备注33",
"file_id": "",
"logistics_id": "35",
"method_id": "241261034153378816",
"logistics_list": [
{
"logistics_order_no": "YT21316212661013364",
"logistics_money": "10",
"logistics_money_unit": "TRY",
"other_money": "9.6",
"other_money_unit": "CNY",
"track_order_no": "H1018660368132401072",
"other_money_remark": "预估备注",
"real_logistics_money": "4",
"real_logistics_money_unit": "CNY",
"real_other_money": "4",
"real_other_money_unit": "CNY",
"real_other_money_remark": "实际备注"
}
],
"product_list": [
{
"product_id": "33664",
"fnsku": "",
"oversea_product_code": "LINGXING-YF",
"tariffs": 1,
"tariffs_currency_unit": "CNY",
"stock_num": "2",
"receive_num": "1",
"cg_product_gross_weight": 1,
"cg_package_length": 1,
"cg_package_width": 2,
"cg_package_height": 4
}
],
"logistics_list_type": 0,
"head_logistics_list": {
"tax_fee_type": 1,
"tracking_list": [{
"tracking_no": "cxdhxxxxxx123",
"transport_type": "1",
"order_type_code": "5",
"shippers": "coscoxxx",
"remark": "备注"
}],
"estimate_expenses_list": {
"chargeable_weight": "111.00",
"price": "1.00",
"price_currency": "CNY",
"logistics_fee": "1.00",
"logistics_fee_currency": "CNY",
"remark": "预估费用备注",
"other_fee_arr": [{
"fee_type_id": "241192037543649792",
"other_amount": "1.00",
"other_currency": "CNY"
}]
},
"actual_expenses_list": {
"tax_fee":"1",
"tax_fee_currency":"CNY",
"chargeable_weight": "111.00",
"price": "111.00",
"price_currency": "CNY",
"logistics_fee": "111.00",
"logistics_fee_currency": "CNY",
"remark": "实际费用备注",
"other_fee_arr": [{
"fee_type_id": "241192037543649792",
"other_amount": "111.00",
"other_currency": "CNY"
}]
}
}
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
overseas_order_nostring必填totalinteger必填